/// <reference types="node" />
import { EventEmitter } from "events";
export declare type Result = {
    css: Buffer;
    map: Buffer;
};
export declare type RebaseHandlerCallback = (rebasedPath?: false | null | string) => void;
export declare type RebaseHandler = (source: string, resolvedPath: string, done: RebaseHandlerCallback) => void;
export declare type Options = {
    map?: Buffer;
    rebase?: RebaseHandler;
};
export interface Rebaser {
    on(event: "rebase", listener: (rebasedPath: string, resolvedPath: string) => void): this;
    emit(event: "rebase", rebasedPath: string, resolvedPath: string): boolean;
}
export declare class Rebaser extends EventEmitter {
    private readonly _options;
    constructor(options?: Options);
    rebase(css: Buffer): Promise<Result>;
}
